## CamelPOP3Stream

CamelPOP3Stream

## Functions

CamelStream * | camel_pop3_stream_new ()
void | camel_pop3_stream_set_mode ()
gint | camel_pop3_stream_line ()
gint | camel_pop3_stream_getd ()
void | camel_pop3_stream_discard_cache ()

## Types and Values

enum | camel_pop3_stream_mode_t

## Object Hierarchy

        GObject
        ╰── CamelStream
            ╰── CamelPOP3Stream

## Description

## Functions

### camel_pop3_stream_new ()

    CamelStream *
    camel_pop3_stream_new (CamelStream *source);

Creates a new CamelPOP3Stream which operates on the `source` . The `source` stream is referenced for later use.

#### Parameters

source | a CamelStream to operate on |

#### Returns

a new CamelPOP3Stream.

[transfer full]

### camel_pop3_stream_set_mode ()

    void
    camel_pop3_stream_set_mode (CamelPOP3Stream *is,
                                camel_pop3_stream_mode_t mode);

### camel_pop3_stream_line ()

    gint
    camel_pop3_stream_line (CamelPOP3Stream *is,
                            guchar **data,
                            guint *len,
                            GCancellable *cancellable,
                            GError **error);

### camel_pop3_stream_getd ()

    gint
    camel_pop3_stream_getd (CamelPOP3Stream *is,
                            guchar **start,
                            guint *len,
                            GCancellable *cancellable,
                            GError **error);

### camel_pop3_stream_discard_cache ()

    void
    camel_pop3_stream_discard_cache (CamelPOP3Stream *is);

## Types and Values

### enum camel_pop3_stream_mode_t

#### Members

CAMEL_POP3_STREAM_LINE |  |
CAMEL_POP3_STREAM_DATA |  |
CAMEL_POP3_STREAM_EOD |  |